# Changelog

## 0.6.0 - 2019-05-09

* GROUN-33 change Jira transition codes

## 0.5.0 - 2019-05-07

* GROUN-34 do not tag release branches

## 0.3.5 - 2019-02-20

* GROUN-25 update RuboCop and fix warnings (#92)
* GROUN-10 avoid overwriting files on predeploy unless specified with force_overwrite=true (#90)

## 0.3.4 - 2019-01-04

* GROUN-21 format virtual host and Rails config files nicely (#88)
* GROUN-22 Move mina whenever command to launch block of deploy (#87)
* GROUN-16 consolidate sentry public/private keys (#86)
* GROUN-19 move servers configuration to project_details (#85)
* GROUN-9 should warn about any missing environment variables or executables (#84)

## 0.3.3 - 2018-11-16

* GROUN-17 should mark versions released in Jira after deploying to production (#83)
* GROUN-14 Add verbose flag  (#82)
* GROUN-6 fix: fail elegantly if no tag is specified (#81)

## 0.3.2 - 2018-11-14

* GROUN-2 create the initial release of a Rails application (#80)
* GROUN-12 add nicer formatting to the deploy steps (#78)
* GROUN-6 display warning if tag is not found in repository
* Specify the scopes for the Sentry auth token. (#77)

## 0.3.1 - 2018-11-09

* GROUN-13 notify Sentry of a deployment to staging/production (#76)

## 0.2.5 - 2018-04-18

* remove unused cert file paths; add new isgmh staging server (#67)
* fixes #29 sort included Jira issues with release (#60)

## 0.2.4 - 2018-01-30

* update document append encoding to uft-8

## 0.2.3 - 2018-01-16

* run whenever task only if configured for the project (#56)

## 0.2.2 - 2018-01-12

* add mina-whenever gem to update crontab when deploying (#54)

## 0.2.1 - 2018-01-03

* check latest release version of Groundskeeper before running (#51)

## 0.2.0 - 2017-11-29

* IN-8 Fixes #47 transition Jira issues upon deployment (#48)
* update script and instructions for predeployment (#46)
* Fixes #27 warn user if Jira env variables aren't set (#45)
* ensure RAILS_ENV gets set remotely during deployment (#44)
* enable production deployment (#43)
* IN-7 Merge rails_deployment functionality into groundskeeper (#40)

## 0.1.1 - 2017-09-14

* sign gem and update installation instructions (#37)
* Update command highlighting (#36)
* open pull request page in GitHub upon release (#34)
* add tests to Commands#info method (#32)
* fix bug preventing loading of project file (#31)
* refactor and add smoke tests to Application (#30)
* add tests to Project (#26)
* refactor/rename some methods; add tests to Git (#25)
* add code coverage to tests (#23)
* add version to remote Jira issues; refactor (#21)
* ask and push the tagged branch to remote (#20)
* ignore release commits (#19)
* begin to configure Jira integration (#18)
* stage, commit, and tag release (#17)
* detect missing Rails files (#16)
* create a branch and update the changelog (#10)
* capture current Rails application version (#8)
* add release command; calculate next version (#7)
* print branches which contain latest tag (#6)

## 0.1.0 - 2017-07-18

* refactor; capture commits since last tag (#4)
* add "info" command (#3)
* add executable `ground` (#2)
* start scaffolding git and release code (#1)
